Skip to main content
GET
List networks with subnets details

Authorizations

Authorization
string
header
required

API key for authentication. Make sure to include the word apikey, followed by a single space and then your token. Example: apikey 1234$abcdef

Path Parameters

project_id
integer
required

Project ID

Example:

1

region_id
integer
required

Region ID

Example:

1

Query Parameters

external
boolean

Filter by external network status

Example:

true

limit
integer
default:1000

Optional. Limit the number of returned items

Required range: x <= 1000
Example:

1000

name
string

Filter networks by name

Maximum string length: 61
Example:

"my-network"

network_id
string<uuid4>

Optional. Can be used to only show subnets of the specific network

Example:

"123e4567-e89b-12d3-a456-426614174000"

network_type
enum<string>

Filter by network type (vlan or vxlan)

Available options:
vlan,
vxlan
Example:

"vlan"

offset
integer
default:0

Optional. Offset value is used to exclude the first set of records from the result

Required range: x >= 0
Example:

0

order_by
enum<string>

Ordering networks list result by name, created_at or priority fields and directions (e.g. created_at.desc).

Available options:
created_at.asc,
created_at.desc,
name.asc,
name.desc,
priority.desc
Example:

"created_at.desc"

shared
boolean

Filter by shared state

Example:

true

tag_key
string[]

Optional. Filter by tag keys. ?tag_key=key1&tag_key=key2

Tag key. Maximum 255 characters. Cannot contain spaces, tabs, newlines, empty string or '=' character. Trailing or leading whitespaces will be stripped.

Required string length: 1 - 255
Pattern: ^[^\s=]+$
Example:
tag_key_value
string

Optional. Filter by tag key-value pairs.

Example:

Response

200 - application/json

OK

count
integer
required

Number of objects

Required range: x >= 0
Example:

1

results
NetworkSubnetworkSerializer · object[]
required

Objects